Index: /trunk/sources/HeuristicLab 3.2.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.2.sln	(revision 2501)
+++ /trunk/sources/HeuristicLab 3.2.sln	(revision 2502)
@@ -194,5 +194,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.GP.Tests", "HeuristicLab.GP.Tests\HeuristicLab.GP.Tests.csproj", "{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm.WindowsForms-3.2", "HeuristicLab.MainForm.WindowsForms\3.2\HeuristicLab.MainForm.WindowsForms-3.2.csproj", "{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm.WindowsForms-3.2", "HeuristicLab.MainForm.WindowsForms\3.2\HeuristicLab.MainForm.WindowsForms-3.2.csproj", "{AB687BBE-1BFE-476B-906D-44237135431D}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection.Uncertainty-3.2", "HeuristicLab.Selection.Uncertainty\3.2\HeuristicLab.Selection.Uncertainty-3.2.csproj", "{67A6B73B-6FC3-4DB8-8FC1-D4C55A4918C5}"
@@ -2109,28 +2109,28 @@
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|x64.ActiveCfg = Release|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|x86.ActiveCfg = Release|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|x64.ActiveCfg = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|x64.Build.0 = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.CEDMA Debug|x86.Build.0 = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|x64.ActiveCfg = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|x64.Build.0 = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|x86.ActiveCfg = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Debug|x86.Build.0 = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|x64.ActiveCfg = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|x64.Build.0 = Debug|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|x86.ActiveCfg = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Modeling Debug|x86.Build.0 = Debug|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|x64.ActiveCfg = Release|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|x64.Build.0 = Release|x64
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|x86.ActiveCfg = Release|x86
-		{D49BBA1A-880B-46BD-82CF-3CF1AAE0B45C}.Release|x86.Build.0 = Release|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|x64.ActiveCfg = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|x64.Build.0 = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|x86.ActiveCfg = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Debug|x86.Build.0 = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|x64.Build.0 = Debug|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Modeling Debug|x86.Build.0 = Debug|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|x64.ActiveCfg = Release|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|x64.Build.0 = Release|x64
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|x86.ActiveCfg = Release|x86
+		{AB687BBE-1BFE-476B-906D-44237135431D}.Release|x86.Build.0 = Release|x86
 		{67A6B73B-6FC3-4DB8-8FC1-D4C55A4918C5}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{67A6B73B-6FC3-4DB8-8FC1-D4C55A4918C5}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU