Index: trunk/sources/HeuristicLab.Optimizer/3.3/Actions/NewAction.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Actions/NewAction.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Actions/NewAction.cs	(revision 2520)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.Actions {
+  public static class NewAction {
+    public static void Execute() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Actions/OpenAction.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Actions/OpenAction.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Actions/OpenAction.cs	(revision 2520)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.Actions {
+  public static class OpenAction {
+    public static void Execute() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAction.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAction.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAction.cs	(revision 2520)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.Actions {
+  public static class SaveAction {
+    public static void Execute() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAllAction.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAllAction.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAllAction.cs	(revision 2520)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.Actions {
+  public static class SaveAllAction {
+    public static void Execute() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAsAction.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAsAction.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Actions/SaveAsAction.cs	(revision 2520)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.Actions {
+  public static class SaveAsAction {
+    public static void Execute() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 2501)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 2520)
@@ -51,8 +51,32 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Actions\SaveAsAction.cs" />
+    <Compile Include="Actions\SaveAllAction.cs" />
+    <Compile Include="Actions\SaveAction.cs" />
+    <Compile Include="Actions\OpenAction.cs" />
+    <Compile Include="Actions\NewAction.cs" />
+    <Compile Include="MenuItems\CloseMenuItem.cs" />
+    <Compile Include="MenuItems\CloseAllMenuItem.cs" />
+    <Compile Include="MenuItems\SaveAllMenuItem.cs" />
+    <Compile Include="MenuItems\SaveAsMenuItem.cs" />
+    <Compile Include="MenuItems\SaveMenuItem.cs" />
+    <Compile Include="MenuItems\OpenMenuItem.cs" />
+    <Compile Include="MenuItems\ExitMenuItem.cs" />
     <Compile Include="HeuristicLabOptimizerApplication.cs" />
     <Compile Include="HeuristicLabOptimizerPlugin.cs" />
     <Compile Include="IOptimizerUserInterfaceItemProvider.cs" />
+    <Compile Include="MenuItems\NewMenuItem.cs" />
+    <Compile Include="MenuItems\Separators.cs" />
+    <Compile Include="NewDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="NewDialog.Designer.cs">
+      <DependentUpon>NewDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="ToolBarItems\SaveAllToolBarItem.cs" />
+    <Compile Include="ToolBarItems\SaveToolBarItem.cs" />
+    <Compile Include="ToolBarItems\OpenToolBarItem.cs" />
+    <Compile Include="ToolBarItems\NewToolBarItem.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -78,4 +102,9 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="NewDialog.resx">
+      <DependentUpon>NewDialog.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs	(revision 2501)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs	(revision 2520)
@@ -36,4 +36,6 @@
       mainForm.Title = "HeuristicLab Optimizer " + Assembly.GetExecutingAssembly().GetName().Version.ToString();
       mainForm.Icon = Resources.HeuristicLabIcon;
+      mainForm.Width = 800;
+      mainForm.Height = 600;
       Application.Run(mainForm);
     }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs	(revision 2520)
@@ -0,0 +1,29 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class CloseAllMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Clos&e All"; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1700; }
+    }
+
+    public override void Execute() {
+      MainFormManager.MainForm.CloseAllViews();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs	(revision 2520)
@@ -0,0 +1,29 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class CloseMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "&Close"; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1600; }
+    }
+
+    public override void Execute() {
+      MainFormManager.MainForm.CloseView(MainFormManager.MainForm.ActiveView);
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 2520)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class ExitMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override string Name {
+      get { return "E&xit"; }
+    }
+
+    public override int Position {
+      get { return 1999; }
+    }
+
+    public override Keys ShortCutKeys {
+      get { return Keys.Control | Keys.X; }
+   }
+
+    public override void Execute() {
+      MainFormManager.MainForm.Close();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs	(revision 2520)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class NewMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "&New..."; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1100; }
+    }
+
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override Image Image {
+      get { return Resources.NewIcon; }
+    }
+
+    public override Keys ShortCutKeys {
+      get { return Keys.Control | Keys.N; }
+    }
+
+    public override void Execute() {
+      Actions.NewAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs	(revision 2520)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class OpenMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "&Open..."; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1200; }
+    }
+
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override Image Image {
+      get { return Resources.OpenIcon; }
+    }
+
+    public override Keys ShortCutKeys {
+      get { return Keys.Control | Keys.O; }
+    }
+
+    public override void Execute() {
+      Actions.OpenAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs	(revision 2520)
@@ -0,0 +1,36 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class SaveAllMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Save Al&l"; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1500; }
+    }
+
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override Image Image {
+      get { return Resources.SaveAllIcon; }
+    }
+
+    public override void Execute() {
+      Actions.SaveAllAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 2520)
@@ -0,0 +1,36 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class SaveAsMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Save &As..."; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1400; }
+    }
+
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override Keys ShortCutKeys {
+      get { return Keys.Control | Keys.Shift | Keys.S; }
+    }
+
+    public override void Execute() {
+      Actions.SaveAsAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 2520)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class SaveMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "&Save"; }
+    }
+
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1300; }
+    }
+
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override Image Image {
+      get { return Resources.SaveIcon; }
+    }
+
+    public override Keys ShortCutKeys {
+      get { return Keys.Control | Keys.S; }
+    }
+
+    public override void Execute() {
+      Actions.SaveAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs	(revision 2520)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class SeparatorMenuItem : MenuSeparatorItemBase, IOptimizerUserInterfaceItemProvider {
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&File" }; }
+    }
+
+    public override int Position {
+      get { return 1998; }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.Designer.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.Designer.cs	(revision 2520)
@@ -0,0 +1,79 @@
+﻿namespace HeuristicLab.Optimizer {
+  partial class NewDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.okButton = new System.Windows.Forms.Button();
+      this.cancelButton = new System.Windows.Forms.Button();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.okButton.Enabled = false;
+      this.okButton.Location = new System.Drawing.Point(380, 315);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 0;
+      this.okButton.Text = "&OK";
+      this.okButton.UseVisualStyleBackColor = true;
+      // 
+      // cancelButton
+      // 
+      this.cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.cancelButton.Location = new System.Drawing.Point(461, 315);
+      this.cancelButton.Name = "cancelButton";
+      this.cancelButton.Size = new System.Drawing.Size(75, 23);
+      this.cancelButton.TabIndex = 0;
+      this.cancelButton.Text = "&Cancel";
+      this.cancelButton.UseVisualStyleBackColor = true;
+      // 
+      // NewDialog
+      // 
+      this.AcceptButton = this.okButton;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.CancelButton = this.cancelButton;
+      this.ClientSize = new System.Drawing.Size(548, 350);
+      this.Controls.Add(this.cancelButton);
+      this.Controls.Add(this.okButton);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "NewDialog";
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "New Item";
+      this.TopMost = true;
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button okButton;
+    private System.Windows.Forms.Button cancelButton;
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.cs	(revision 2520)
@@ -0,0 +1,22 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Optimizer {
+  public partial class NewDialog : Form {
+    private Type newItemType;
+    public Type NewItemType {
+      get { return newItemType; }
+    }
+
+    public NewDialog() {
+      InitializeComponent();
+      newItemType = null;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.resx
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.resx	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/NewDialog.resx	(revision 2520)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs	(revision 2520)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer {
+  public class NewToolBarItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "New..."; }
+    }
+
+    public override string ToolTipText {
+      get { return "New Item (Ctrl + N)"; }
+    }
+
+    public override int Position {
+      get { return 10; }
+    }
+
+    public override Image Image {
+      get { return Resources.NewIcon; }
+    }
+
+    public override void Execute() {
+      Actions.NewAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs	(revision 2520)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer {
+  public class OpenToolBarItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Open..."; }
+    }
+
+    public override string ToolTipText {
+      get { return "Open File (Ctrl + O)"; }
+    }
+
+    public override int Position {
+      get { return 20; }
+    }
+
+    public override Image Image {
+      get { return Resources.OpenIcon; }
+    }
+
+    public override void Execute() {
+      Actions.OpenAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs	(revision 2520)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer {
+  public class SaveAllToolBarItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Save All"; }
+    }
+
+    public override string ToolTipText {
+      get { return "Save All Files"; }
+    }
+
+    public override int Position {
+      get { return 40; }
+    }
+
+    public override Image Image {
+      get { return Resources.SaveAllIcon; }
+    }
+
+    public override void Execute() {
+      Actions.SaveAllAction.Execute();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 2520)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 2520)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Optimizer {
+  public class SaveToolBarItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Save"; }
+    }
+
+    public override string ToolTipText {
+      get { return "Save File (Ctrl + S)"; }
+    }
+
+    public override int Position {
+      get { return 30; }
+    }
+
+    public override Image Image {
+      get { return Resources.SaveIcon; }
+    }
+
+    public override void Execute() {
+      Actions.SaveAction.Execute();
+    }
+  }
+}